# -*- coding:Utf-8 -*-
#!/usr/bin/python

# \copyleft Denis LE FUR \copyright
# This work may be distributed and/or mofified under the conditions
# or the LaTeX Project Public Licence, either v1.3 or (at your option)
# any later version. The latest version is in
#   http://www.latex-project.org/lppl/
# This work consists of the files supp_graphesimple.py.


import pygtk
pygtk.require("2.0")
import gtk	

import os
import sys

sys.path.append("../../Divers/")
from pro_divers import *


#-------------------------------------------------------------
# Met à jour le code supplémentaire latex
#-------------------------------------------------------------	
def maj_codesupp(graphesimple):
	text_view=graphesimple.textviewSupp
	ListeSommets=graphesimple.entryListeSommets.get_text()
	ListeSommets=ListeSommets.replace('\\','@')
	text_buffer=graphesimple.textbufferMatrice
	start_iter = text_buffer.get_start_iter()
	end_iter = text_buffer.get_end_iter()
	Matrice=text_buffer.get_text(start_iter, end_iter, include_hidden_chars=True)
	
	str_buffer="\\underline{Matrice de transition}\\\ \n\n"
	
	str_buffer=str_buffer+"\\begin{pro-tableg}{1}\n"
	str_buffer=str_buffer+"[\"M\"], // nom \n"
	str_buffer=str_buffer+"//----------------- debut matrice\n"
	str_buffer=str_buffer+"[\n"
	str_buffer=str_buffer+Matrice
	str_buffer=str_buffer+"\n]"
	str_buffer=str_buffer+"//----------------- fin matrice\n"
	str_buffer=str_buffer+"\\end{pro-tableg}\n\n"
	
	str_buffer=str_buffer+"\\vspace{1cm}\n\n"
	
	str_buffer=str_buffer+"\\underline{Matrice de transition à la puissance 3}\\\ \n\n"
	
	str_buffer=str_buffer+"\\begin{pro-tablegp}{1}\n"
	str_buffer=str_buffer+"[\"M\"], // nom \n"
	str_buffer=str_buffer+"//----------------- debut matrice\n"
	str_buffer=str_buffer+"[\n"
	str_buffer=str_buffer+Matrice
	str_buffer=str_buffer+"\n],\n"
	str_buffer=str_buffer+"3\n"
	str_buffer=str_buffer+"\\end{pro-tablegp}\n\n"
	
	str_buffer=str_buffer+"\\vspace{1cm}\n\n"
	
	
	
	str_buffer=str_buffer+"\\underline{Euler}\\\ \n\n"
	
	str_buffer=str_buffer+"Voici le tableau des degrés des sommets :\\\ \n\n"
	str_buffer=str_buffer+"\\begin{pro-greuler}{1}\n"
	str_buffer=str_buffer+"["+ListeSommets+"], // sommets \n"
	str_buffer=str_buffer+"[ //----------------- debut matrice\n"
	str_buffer=str_buffer+Matrice
	str_buffer=str_buffer+"\n]//----------------- fin matrice\n"
	str_buffer=str_buffer+"\\end{pro-greuler}\n\n"
	
	str_buffer=str_buffer+"\\vspace{1cm}\n\n"
	
	str_buffer=str_buffer+"\\underline{Algorithme de Dijkstra}\\\ \n\n"
	
	str_buffer=str_buffer+"Voici le tableau résumant l'algorithme de Dijkstra :\\\ \n\n"
	str_buffer=str_buffer+"\\begin{pro-dijkstra}{1}\n"
	str_buffer=str_buffer+"["+ListeSommets+"], // sommets \n"
	str_buffer=str_buffer+"[ //----------------- debut matrice\n"
	str_buffer=str_buffer+Matrice
	str_buffer=str_buffer+"\n]//----------------- fin matrice\n"
	str_buffer=str_buffer+"\\end{pro-dijkstra}\n\n"

		
	# Récupération du buffer
	text_buffer = text_view.get_buffer()
	# Suppression des données du buffer
	start_iter = text_buffer.get_start_iter()
	end_iter = text_buffer.get_end_iter()
	text_buffer.delete(start_iter, end_iter)
	# Affichage du fichier
	start_iter = text_buffer.get_start_iter()
	text_buffer.insert(start_iter, str_buffer)
	
	
